## binutils-gold 2.44

=== debian/changelog ===
binutils-gold (2.44-3) unstable; urgency=medium

  * Ignore regression in the test suite. Closes: #1114064.
  * Update watch file.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Sep 2025 20:42:12 +0200

binutils-gold (2.44-2) unstable; urgency=medium

  * Add breaks/replaces to binutils-common. Closes: #1100465.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Mar 2025 04:48:40 +0100

binutils-gold (2.44-1) unstable; urgency=medium

  * New upstream release, built from the binutils-with-gold-2.44.tar.xz tarball.
  * Update VCS attributes.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Feb 2025 06:07:57 +0100

binutils-gold (2.43.90.20250127-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.44 release branch..
  * Update autopkg tests for binutils-gold.
  * Install the gold translations.
  * Fix substitution of @gold_archs@ in targeted cross toolchains (Helmut
    Grohne). Addresses: #1093841.

 -- Matthias Klose <doko@debian.org>  Mon, 27 Jan 2025 12:02:28 +0100

binutils-gold (2.43.90.20250121-2) unstable; urgency=medium

  * Don't build gprofng.
  * Remove mipsen packages from the control file.
  * Build binutils-gold cross packages.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jan 2025 09:48:14 +0100

binutils-gold (2.43.90.20250121-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.44 release branch..
  * Split out gold, as the gold source code removal is planned for the
    final 2.44 release.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 21 Jan 2025 12:52:20 +0100

binutils (2.43.50.20250108-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Avoid warning in env-package-metadata.diff patch (Nicolas Boulenguez).
    Closes: #1090761.
  * binutils-doc: Make package reproducible. Closes: #1090395.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Jan 2025 00:34:21 +0100

binutils (2.43.50.20241230-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Revert the fix for PR gas/32391. Closes: #1090999, #1091488.
  * Build with GCC 14.2.0-12 on ARM32. Closes: #1091281.

 -- Matthias Klose <doko@debian.org>  Mon, 30 Dec 2024 12:18:11 +0100

binutils (2.43.50.20241221-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Drop the unused infinity-notes patch.
  * gold: Support percent-encoded JSON in --package-metadata (proposed patch).
  * Update libgprofng0 symbols file.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Dec 2024 09:58:51 +0100

binutils (2.43.50.20241215-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Increase armhf section alignment to 64k (Ard Biesheuvel). Closes: #1089822.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Dec 2024 11:00:07 +0100

binutils (2.43.50.20241210-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Dec 2024 09:55:31 +0100

binutils (2.43.50.20241204-2) unstable; urgency=medium

  * Unset ELF_PACKAGE_METADATA when doing profiled builds and running tests.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Dec 2024 14:17:25 +0100

binutils (2.43.50.20241204-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Disable the pgo build on armel and armhf for now.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Dec 2024 10:13:16 +0100

binutils (2.43.50.20241126-3) unstable; urgency=medium

  * Don't install gprofng examples in multilib and cross packages.
    Closes: #1088319.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Nov 2024 10:18:02 +0100

binutils (2.43.50.20241126-2) unstable; urgency=medium

  * Work-around PR gprofng/32392.

 -- Matthias Klose <doko@debian.org>  Tue, 26 Nov 2024 16:40:54 +0100

binutils (2.43.50.20241126-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Configure again with --enable-default-hash-style=gnu on mips targets.
    Closes: #1078819.
  * Stop building gold on mips targets.

 -- Matthias Klose <doko@debian.org>  Tue, 26 Nov 2024 13:52:50 +0100

binutils (2.43.50.20241112-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Build packages for sparc-linux-gnu (Adrian Glaubitz). Closes: #1086027.
  * Stop building packages for ia64-linux-gnu. Closes: #1086023.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Nov 2024 17:37:05 +0100

binutils (2.43.50.20241004-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Make the jdk configury dependent on the pkg.binutils.nojava profile.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Oct 2024 08:32:52 +0200

binutils (2.43.50.20240909-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2024 14:30:23 +0200

binutils (2.43.50.20240822-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Add default-jdk-headless to autopkg test dependencies.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2024 17:21:00 +0200

binutils (2.43.50.20240817-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Aug 2024 10:50:59 +0200

binutils (2.43.1-5) unstable; urgency=medium

  * Make the jdk configury dependent on the pkg.binutils.nojava profile.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Sep 2024 10:36:17 +0200

binutils (2.43.1-4) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.43 branch.
    - Fix PR32109, aborting at bfd/bfd.c:1236 in int _bfd_doprnt.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Sep 2024 10:37:43 +0200

binutils (2.43.1-3) unstable; urgency=medium

  * Don't configure --enable-default-hash-style=gnu on mips targets
    for now. See: #1078819.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Aug 2024 17:32:28 +0200


