=== debian/control ===
Source: binutils-gold
Section: devel
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: James Troup <binutils@elmo.tasta.io>
Standards-Version: 4.7.2
Build-Depends: autoconf (>= 2.64), dpkg-dev (>= 1.19.0.5),
  bison, flex, gettext, texinfo, dejagnu, quilt, chrpath, dwz, debugedit (>= 4.16),
  python3:any, file, xz-utils, lsb-release, zlib1g-dev, procps, help2man,
  libjansson-dev, pkgconf, libzstd-dev,
#  default-jdk-headless [amd64 arm64 i386 riscv64 x32] <!pkg.binutils.nojava>,
Build-Conflicts: libelf-dev
Rules-Requires-Root: no
Homepage: https://www.gnu.org/software/binutils/
Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils/tree/binutils-gold-2.44
Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git -b binutils-gold-2.44
XS-Testsuite: autopkgtest

#Package: binutils-gold-for-host
#Architecture: amd64 arm64 armel armhf i386 powerpc ppc64 ppc64el sparc sparc64 s390x x32 hurd-amd64 hurd-i386
#Depends: ${binutils:native}:any (>= ${binutils:minver}),
#  binutils-common (= ${binary:Version}),
#Multi-Arch: same
#Description: gold ELF linker for the host architecture (deprecated)
# The programs in this package are used to assemble, link and manipulate
# binary and object files for the architecture of this package.  They may be
# used in conjunction with a matching compiler and various libraries to build
# programs. When using binutils through this metapackage, all tools must be
# used with an architecture prefix.

#Package: binutils-gold-for-build
#Architecture: all
#Depends: binutils (>= ${binutils:minver}),
#  binutils-common (>= ${binutils:minver})
#Multi-Arch: foreign
#Description: gold ELF linker for the build architecture (deprecated)
# The programs in this package are used to assemble, link and manipulate
# binary and object files for the native architecture.  They may be used in
# conjunction with a build architecture compiler and various libraries to build
# programs. When using binutils through this metapackage, tools without an
# architecture prefix must be used.

Package: binutils-gold
Architecture: amd64 arm64 armel armhf i386 powerpc ppc64 ppc64el sparc sparc64 s390x x32 hurd-amd64 hurd-i386
Depends: ${shlibs:Depends},
  ${binutils:native} (= ${binary:Version})
Conflicts: modutils (<< 2.4.19-1), ${extraConflicts},
  binutils-multiarch (<< 2.27-8)
Provides: elf-binutils
Breaks: binutils (<< 2.43.90), binutils-common (<< 2.43.90)
Replaces: binutils (<< 2.43.90), binutils-common (<< 2.43.90)
Description: gold ELF linker (deprecated)
 Gold is intended to have complete support for ELF and to run as fast as
 possible on modern systems.  For normal use it is a drop-in replacement
 for the older GNU linker.
 .
 WARNING: gold is being removed from binutils, and is deprecated upstream.

Package: binutils-gold-x86-64-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32 s390x
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${extraDepends}
Provides: 
Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2),
  binutils-x86-64-linux-gnu (<< 2.43.90), binutils-common (<< 2.43.90)
Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2),
  binutils-x86-64-linux-gnu (<< 2.43.90), binutils-common (<< 2.43.90)
Description: gold ELF linker for the x86-64-linux-gnu target (deprecated)
 Gold is intended to have complete support for ELF and to run as fast as
 possible on modern systems.  For normal use it is a drop-in replacement
 for the older GNU linker.
 .
 WARNING: gold is being removed from binutils, and is deprecated upstream.

Package: binutils-gold-x86-64-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32 s390x
Breaks: binutils-x86-64-linux-gnu-dbg (<< 2.43.90)
Replaces: binutils-x86-64-linux-gnu-dbg (<< 2.43.90)
Multi-Arch: foreign
Depends: binutils-gold-x86-64-linux-gnu (= ${binary:Version})
Description: gold ELF linker, for x86-64-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-gold-x86-64-linux-gnu.

Package: binutils-gold-aarch64-linux-gnu
Priority: optional
Architecture: arm64 amd64 i386 x32 ppc64el s390x
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${extraDepends}
Provides: 
Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2),
  binutils-aarch64-linux-gnu (<< 2.43.90), binutils-common (<< 2.43.90)
Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2),
  binutils-aarch64-linux-gnu (<< 2.43.90), binutils-common (<< 2.43.90)
Description: gold ELF linker for the aarch64-linux-gnu target (deprecated)
 Gold is intended to have complete support for ELF and to run as fast as
 possible on modern systems.  For normal use it is a drop-in replacement
 for the older GNU linker.
 .
 WARNING: gold is being removed from binutils, and is deprecated upstream.

Package: binutils-gold-aarch64-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: arm64 amd64 i386 x32 ppc64el s390x
Breaks: binutils-aarch64-linux-gnu-dbg (<< 2.43.90)
Replaces: binutils-aarch64-linux-gnu-dbg (<< 2.43.90)
Multi-Arch: foreign
Depends: binutils-gold-aarch64-linux-gnu (= ${binary:Version})
Description: gold ELF linker, for aarch64-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-gold-aarch64-linux-gnu.

Package: binutils-gold-arm-linux-gnueabi
Priority: optional
Architecture: armel amd64 i386 x32 arm64 ppc64el
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${extraDepends}
Provides: 
Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2),
  binutils-arm-linux-gnueabi (<< 2.43.90), binutils-common (<< 2.43.90)
Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2),
  binutils-arm-linux-gnueabi (<< 2.43.90), binutils-common (<< 2.43.90)
Description: gold ELF linker for the arm-linux-gnueabi target (deprecated)
 Gold is intended to have complete support for ELF and to run as fast as
 possible on modern systems.  For normal use it is a drop-in replacement
 for the older GNU linker.
 .
 WARNING: gold is being removed from binutils, and is deprecated upstream.

Package: binutils-gold-arm-linux-gnueabi-dbg
Section: debug
Priority: optional
Architecture: armel amd64 i386 x32 arm64 ppc64el
Breaks: binutils-arm-linux-gnueabi-dbg (<< 2.43.90)
Replaces: binutils-arm-linux-gnueabi-dbg (<< 2.43.90)
Multi-Arch: foreign
Depends: binutils-gold-arm-linux-gnueabi (= ${binary:Version})
Description: gold ELF linker, for arm-linux-gnueabi target (debug symbols)
 This package provides debug symbols for binutils-gold-arm-linux-gnueabi.

Package: binutils-gold-arm-linux-gnueabihf
Priority: optional
Architecture: armhf amd64 i386 x32 arm64 ppc64el s390x
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${extraDepends}
Provides: 
Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2),
  binutils-arm-linux-gnueabihf (<< 2.43.90), binutils-common (<< 2.43.90)
Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2),
  binutils-arm-linux-gnueabihf (<< 2.43.90), binutils-common (<< 2.43.90)
Description: gold ELF linker for the arm-linux-gnueabihf target (deprecated)
 Gold is intended to have complete support for ELF and to run as fast as
 possible on modern systems.  For normal use it is a drop-in replacement
 for the older GNU linker.
 .
 WARNING: gold is being removed from binutils, and is deprecated upstream.

Package: binutils-gold-arm-linux-gnueabihf-dbg
Section: debug
Priority: optional
Architecture: armhf amd64 i386 x32 arm64 ppc64el s390x
Breaks: binutils-arm-linux-gnueabihf-dbg (<< 2.43.90)
Replaces: binutils-arm-linux-gnueabihf-dbg (<< 2.43.90)
Multi-Arch: foreign
Depends: binutils-gold-arm-linux-gnueabihf (= ${binary:Version})
Description: gold ELF linker, for arm-linux-gnueabihf target (debug symbols)
 This package provides debug symbols for binutils-gold-arm-linux-gnueabihf.

Package: binutils-gold-i686-linux-gnu
Priority: optional
Architecture: i386 amd64 arm64 ppc64el x32 s390x
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${extraDepends}
Provides: binutils-i686-linux-gnu
Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2),
  binutils-i686-linux-gnu (<< 2.43.90), binutils-common (<< 2.43.90)
Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2),
  binutils-i686-linux-gnu (<< 2.43.90), binutils-common (<< 2.43.90)
Description: gold ELF linker for the i686-linux-gnu target (deprecated)
 Gold is intended to have complete support for ELF and to run as fast as
 possible on modern systems.  For normal use it is a drop-in replacement
 for the older GNU linker.
 .
 WARNING: gold is being removed from binutils, and is deprecated upstream.

Package: binutils-gold-i686-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: i386 amd64 arm64 ppc64el x32 s390x
Breaks: binutils-i686-linux-gnu-dbg (<< 2.43.90)
Replaces: binutils-i686-linux-gnu-dbg (<< 2.43.90)
Multi-Arch: foreign
Depends: binutils-gold-i686-linux-gnu (= ${binary:Version})
Description: gold ELF linker, for i686-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-gold-i686-linux-gnu.

Package: binutils-gold-powerpc-linux-gnu
Priority: optional
Architecture: powerpc amd64 i386 x32 arm64 ppc64el s390x
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${extraDepends}
Provides: 
Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2),
  binutils-powerpc-linux-gnu (<< 2.43.90), binutils-common (<< 2.43.90)
Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2),
  binutils-powerpc-linux-gnu (<< 2.43.90), binutils-common (<< 2.43.90)
Description: gold ELF linker for the powerpc-linux-gnu target (deprecated)
 Gold is intended to have complete support for ELF and to run as fast as
 possible on modern systems.  For normal use it is a drop-in replacement
 for the older GNU linker.
 .
 WARNING: gold is being removed from binutils, and is deprecated upstream.

Package: binutils-gold-powerpc-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: powerpc amd64 i386 x32 arm64 ppc64el s390x
Breaks: binutils-powerpc-linux-gnu-dbg (<< 2.43.90)
Replaces: binutils-powerpc-linux-gnu-dbg (<< 2.43.90)
Multi-Arch: foreign
Depends: binutils-gold-powerpc-linux-gnu (= ${binary:Version})
Description: gold ELF linker, for powerpc-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-gold-powerpc-linux-gnu.

Package: binutils-gold-powerpc64-linux-gnu
Priority: optional
Architecture: ppc64 amd64 i386 x32 ppc64el s390x
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${extraDepends}
Provides: 
Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2),
  binutils-powerpc64-linux-gnu (<< 2.43.90), binutils-common (<< 2.43.90)
Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2),
  binutils-powerpc64-linux-gnu (<< 2.43.90), binutils-common (<< 2.43.90)
Description: gold ELF linker for the powerpc64-linux-gnu target (deprecated)
 Gold is intended to have complete support for ELF and to run as fast as
 possible on modern systems.  For normal use it is a drop-in replacement
 for the older GNU linker.
 .
 WARNING: gold is being removed from binutils, and is deprecated upstream.

Package: binutils-gold-powerpc64-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: ppc64 amd64 i386 x32 ppc64el s390x
Breaks: binutils-powerpc64-linux-gnu-dbg (<< 2.43.90)
Replaces: binutils-powerpc64-linux-gnu-dbg (<< 2.43.90)
Multi-Arch: foreign
Depends: binutils-gold-powerpc64-linux-gnu (= ${binary:Version})
Description: gold ELF linker, for powerpc64-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-gold-powerpc64-linux-gnu.

Package: binutils-gold-powerpc64le-linux-gnu
Priority: optional
Architecture: ppc64el amd64 i386 x32 ppc64 arm64 s390x
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${extraDepends}
Provides: 
Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2),
  binutils-powerpc64le-linux-gnu (<< 2.43.90), binutils-common (<< 2.43.90)
