=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for binutils (2.29)
# Based on sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# Copyright 1998-2007 James Troup.
# Portions Copyright 2008-2023 Canonical Ltd.
# Portions Copyright 2008-2023 Matthias Klose.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

###############################################################################

include /usr/share/dpkg/pkg-info.mk

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
DPKG_VARS := $(shell dpkg-architecture)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_HOST_GNU_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

include debian/rules.defs

ifeq (,$(filter no, $(DEB_RULES_REQUIRES_ROOT)))
  require_root = yes
endif
ifeq ($(require_root),yes)
  CHOWN = chown
  DPKG_DEB = dpkg-deb
else
  CHOWN = : chown
  DPKG_DEB = dpkg-deb --root-owner-group
endif

p_bin = binutils-gold
p_com = $(p_bin)-common
p_lib = lib$(p_bin)
p_nat = $(p_bin)-$(subst _,-,$(DEB_HOST_GNU_TYPE))
p_dev = $(p_bin)-dev
p_mul = $(p_bin)-multiarch
p_mdev = $(p_mul)-dev
p_doc = $(p_bin)-doc
p_hppa64 = $(p_bin)-hppa64-linux-gnu
p_src = $(p_bin)-source

p_ctf = libctf0
p_ctfn = libctf-nobfd0
p_gpng = libgprofng0
p_sfrm = libsframe1

p_hst = $(p_bin)-for-host
p_bld = $(p_bin)-for-build

p_cross = $(p_bin)-$(subst _,-,$(DEB_TARGET_GNU_TYPE))

# version used for p_bld/p_hst dependencies
min_ver = 2.30-2

distribution := $(shell lsb_release -is)
distrelease  := $(shell lsb_release -cs)
ifeq ($(distrelease),n/a)
  distrelease     := sid
endif

# BACKPORT is used for cross builds for a -source package not conflicting
# with the source package of the native package.
ifeq ($(BACKPORT),true)
  p_src = $(p_bin)-$(VERSION)-source
else
  p_src = $(p_bin)-source
endif

pwd   := $(shell pwd)
d     = debian/tmp
d_bin = $(d)
d_com = debian/$(p_com)
d_lib = debian/$(p_lib)
d_nat = debian/$(p_nat)
d_dev = debian/$(p_dev)
d_mul = debian/$(p_mul)
d_mdev = debian/$(p_mdev)
d_doc = debian/$(p_doc)
d_hppa64 = debian/$(p_hppa64)
d_src = debian/$(p_src)

d_ctf = debian/$(p_ctf)
d_ctfn = debian/$(p_ctfn)
d_gpng = debian/$(p_gpng)
d_sfrm = debian/$(p_sfrm)

d_hst = debian/$(p_hst)
d_bld = debian/$(p_bld)

d_cross = debian/$(p_cross)

install_dir    = install -d -m 755
install_file   = install -m 644
install_script = install -m 755
install_binary = install -m 755 -s --strip-program="$(STRIP)"

NATIVE_ARCHS ?= amd64 i386 arm64 armhf armel ppc64el s390x
NATIVE_ARCHS += alpha arc hppa loong64 m68k powerpc ppc64 \
	riscv64 sh4 sparc sparc64 x32
NATIVE_ARCHS += hurd-amd64 hurd-i386
#NATIVE_ARCHS += nios2 or1k s390 sparc

# don't generate the control file entries for native packages which are never
# built. Only valid for Ubuntu. The autopkg testers get confused otherwise
ifneq ($(distribution)-$(CROSS_ARCHS),Ubuntu-)
  NATIVE_ARCHS += mips mipsel mips64 mips64el
  NATIVE_ARCHS += mipsn32 mipsn32el
  NATIVE_ARCHS += mipsn32r6 mipsn32r6el mipsr6 mipsr6el mips64r6 mips64r6el
endif

with_cross = yes
ifneq (,$(filter $(DEB_SOURCE),binutils binutils-gold))
  with_native	= yes
  same_source	= yes
  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
    # DEB_HOST_ARCH is filtered-out later anyway, do not test here.
    CROSS_ARCHS ?= amd64 i386 x32 \
                   s390x ppc64el arm64 armhf armel \
                   alpha arc hppa loong64 m68k \
                   powerpc ppc64 sh4 sparc sparc64 \
                   riscv64 \
                   hurd-amd64 hurd-i386
  else ifeq ($(DEB_HOST_ARCH),arm64)
    CROSS_ARCHS ?= amd64 armel armhf i386 powerpc ppc64el riscv64 s390x \
		   alpha arc hppa loong64 m68k sh4 sparc sparc64 x32
  else ifeq ($(DEB_HOST_ARCH),ppc64)
    CROSS_ARCHS ?= ppc64el
  else ifeq ($(DEB_HOST_ARCH),ppc64el)
    CROSS_ARCHS ?= powerpc ppc64 amd64 armel armhf arm64 i386 riscv64 s390x \
		   alpha arc hppa loong64 m68k sh4 sparc sparc64 x32
  else ifeq ($(DEB_HOST_ARCH),s390x)
    CROSS_ARCHS ?= amd64 armhf arm64 i386 riscv64 powerpc ppc64 ppc64el
  endif
else ifeq ($(DEB_SOURCE),binutils-ports)
  CROSS_ARCHS ?= m68k sh4
else ifeq ($(DEB_SOURCE),binutils-mipsen)
  with_native	=
  same_source	=
  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32 arm64 ppc64el))
    CROSS_ARCHS ?= mips mipsel mips64el mips64 mipsn32 mipsn32el \
                   mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
  else ifneq (,$(filter $(DEB_HOST_ARCH), arm64 ppc64el))
    CROSS_ARCHS ?= mipsel mips64el
  endif
else
  $(error unexpected source package name: $(DEB_SOURCE))
endif
# c-t-b passes this one ...
CROSS_ARCHS := $(filter-out $(DEB_HOST_ARCH),$(CROSS_ARCHS))

ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 x32 hppa))
  with_hppa64 = yes
endif

with_multiarch := yes

# disabled: no build-needed restriction used in the autopkg test
ifeq (0,1)
# only build the basic package when running the autopkg tests
ifneq (,$(ADT_TEST_TRIGGERS))
  # c-t-b sets CROSS_ARCHS which has to be respected, can't unset it here
  #CROSS_ARCHS :=
  with_hppa64 :=
  with_multiarch :=
endif
endif

ifeq ($(DEB_SOURCE),binutils-gold)
  CROSS_ARCHS := $(filter $(gold_targets),$(CROSS_ARCHS))
  with_hppa64 :=
  with_multiarch :=
endif

HOST_ARCHS_armhf = amd64 i386 x32 arm64 ppc64el s390x
HOST_ARCHS_armel = amd64 i386 x32 arm64 ppc64el
HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el s390x
HOST_ARCHS_powerpc = amd64 i386 x32 arm64 ppc64el s390x
HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64 arm64 s390x
HOST_ARCHS_s390x = amd64 i386 x32 arm64 ppc64el
HOST_ARCHS_amd64 = arm64 i386 ppc64el x32 s390x
HOST_ARCHS_i386 = amd64 arm64 ppc64el x32 s390x
HOST_ARCHS_riscv64 = amd64 i386 x32 arm64 ppc64el s390x

HOST_ARCHS_alpha = amd64 i386 x32 arm64 ppc64el
HOST_ARCHS_arc = amd64 i386 x32 arm64 ppc64el
HOST_ARCHS_hppa = amd64 i386 x32 arm64 ppc64el
HOST_ARCHS_loong64 = amd64 i386 x32 arm64 ppc64el
HOST_ARCHS_m68k = amd64 i386 x32 arm64 ppc64el
HOST_ARCHS_ppc64 = amd64 i386 x32 ppc64el s390x
HOST_ARCHS_sh4 = amd64 i386 x32 arm64 ppc64el
HOST_ARCHS_sparc = amd64 i386 x32 arm64 ppc64el
HOST_ARCHS_sparc64 = amd64 i386 x32 arm64 ppc64el
HOST_ARCHS_x32 = amd64 arm64 i386 ppc64el

HOST_ARCHS_mips = amd64 i386 x32
HOST_ARCHS_mipsel = amd64 i386 x32 arm64 ppc64el
HOST_ARCHS_mipsn32 = amd64 i386 x32
HOST_ARCHS_mipsn32el = amd64 i386 x32
HOST_ARCHS_mips64 = amd64 i386 x32
HOST_ARCHS_mips64el = amd64 i386 x32 arm64 ppc64el

HOST_ARCHS_mipsr6 = amd64 i386 x32
HOST_ARCHS_mipsr6el = amd64 i386 x32
HOST_ARCHS_mipsn32r6 = amd64 i386 x32
HOST_ARCHS_mipsn32r6el = amd64 i386 x32
HOST_ARCHS_mips64r6 = amd64 i386 x32
HOST_ARCHS_mips64r6el = amd64 i386 x32

HOST_ARCHS_hurd-amd64 = amd64 i386 x32
HOST_ARCHS_hurd-i386 = amd64 i386 x32

# Convenient shortcuts for {configure,build,install,binary}.%: generic recipes.
CROSS_ARCH	= $(subst .,,$(suffix $@))
CROSS_GNU_TYPE	= $(call _gnu_type,$(CROSS_ARCH))
P_CROSS		= binutils-gold-$(subst _,-,$(CROSS_GNU_TYPE))
D_CROSS		= debian/$(P_CROSS)

# If $(TARGET) is not set, try reading debian/target
ifeq (,$(TARGET))
  ifneq (,$(wildcard debian/target))
    TARGET := $(shell cat debian/target 2>/dev/null)
  endif
endif

ifneq (,$(TARGET))
  with_native	=
  with_cross	= disabled by TARGET
  same_source	=
  # Support TARGET both as Debian architecture specification (e.g. arm),
  # and as the target name (e.g. arm-linux-gnu).
  DEB_TARGET_ARCH := $(or $(shell dpkg-architecture -f -t$(TARGET) -qDEB_HOST_ARCH 2>/dev/null),\
                          $(TARGET))
  DEB_TARGET_GNU_TYPE  = $(call _gnu_type,$(DEB_TARGET_ARCH))
