=== debian/tests/control ===
Tests: libc-link
Depends: build-essential, binutils-gold

Tests: shlib-build
Depends: build-essential, binutils-gold
