=== debian/watch ===
Version: 5

Source: http://ftp.gnu.org/gnu/binutils/
Matching-Pattern: binutils-with-gold-([\d\.]*).tar.gz
